Get priced products
curl --request GET \
--url https://api.fabric.inc/v3/priced-products \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/priced-products"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/priced-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/priced-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/priced-products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/priced-products")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/priced-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": {
"id": "AASSBCC12334FCD12334V",
"sku": "CAASSBCC12334FCD12334V",
"attributes": [
{
"id": "CAZZX1234567DDDDD",
"value": "Blue",
"type": "string"
}
],
"status": "ACTIVE",
"parentProductId": "WWQQSCD123456III",
"type": "PRODUCT",
"title": "wall posters",
"images": [
{
"id": "5fd7577251a93f0007e48383",
"order": 0,
"label": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067",
"source": [
{
"id": "5fd7577251a93f0007e48383",
"url": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067"
}
]
}
],
"priceLastUpdatedAt": "2099-12-31T18:59:00+00:00",
"variants": [
{
"id": "AASSBCC12334FCD12334V",
"attributes": [
{
"id": "CAZZX1234567DDDDD",
"value": "Blue",
"type": "string"
}
],
"sku": "CAASSBCC12334FCD12334V",
"status": "ACTIVE",
"price": {
"priceListId": 100000,
"channelId": "12",
"currency": "USD",
"offers": [
{
"startAt": "2020-02-02T17:22:48.570Z",
"endAt": "2020-02-02T17:22:48.570Z",
"price": {
"base": 2.99,
"sale": 99.99,
"cost": 149
}
}
],
"itemId": 1000000051,
"itemSku": "SKU123456",
"isDeleted": false,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}
}
],
"priceRange": {
"minimum": 3500,
"maximum": 12000
},
"promotionDates": {
"startAt": "2099-12-31T10:51:00.000Z",
"endAt": "2099-12-31T10:51:00.000Z"
}
}
}
]
}{
"type": "REQUEST_VALIDATION",
"message": "Limit must be an integer less than 100"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "PRICE_LIST_NOT_FOUND",
"message": "No price list found with this ID"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Priced Products
Get priced products
Get a paginated list of products and prices for the specified price list ID.
GET
/
priced-products
Get priced products
curl --request GET \
--url https://api.fabric.inc/v3/priced-products \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/priced-products"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/priced-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/priced-products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/priced-products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/priced-products")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/priced-products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": {
"id": "AASSBCC12334FCD12334V",
"sku": "CAASSBCC12334FCD12334V",
"attributes": [
{
"id": "CAZZX1234567DDDDD",
"value": "Blue",
"type": "string"
}
],
"status": "ACTIVE",
"parentProductId": "WWQQSCD123456III",
"type": "PRODUCT",
"title": "wall posters",
"images": [
{
"id": "5fd7577251a93f0007e48383",
"order": 0,
"label": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067",
"source": [
{
"id": "5fd7577251a93f0007e48383",
"url": "https://abchome-xpm-images.s3.amazonaws.com/12.01.20+Giving+Tuesday/Homepage/HP_HolidaySix_GI_1.jpg?w=1067"
}
]
}
],
"priceLastUpdatedAt": "2099-12-31T18:59:00+00:00",
"variants": [
{
"id": "AASSBCC12334FCD12334V",
"attributes": [
{
"id": "CAZZX1234567DDDDD",
"value": "Blue",
"type": "string"
}
],
"sku": "CAASSBCC12334FCD12334V",
"status": "ACTIVE",
"price": {
"priceListId": 100000,
"channelId": "12",
"currency": "USD",
"offers": [
{
"startAt": "2020-02-02T17:22:48.570Z",
"endAt": "2020-02-02T17:22:48.570Z",
"price": {
"base": 2.99,
"sale": 99.99,
"cost": 149
}
}
],
"itemId": 1000000051,
"itemSku": "SKU123456",
"isDeleted": false,
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z"
}
}
],
"priceRange": {
"minimum": 3500,
"maximum": 12000
},
"promotionDates": {
"startAt": "2099-12-31T10:51:00.000Z",
"endAt": "2099-12-31T10:51:00.000Z"
}
}
}
]
}{
"type": "REQUEST_VALIDATION",
"message": "Limit must be an integer less than 100"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "PRICE_LIST_NOT_FOUND",
"message": "No price list found with this ID"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Required string length:
24A unique identifier obtained from Copilot for the System app in the fabric ecosystem, essential for OpenID Connect authentication flows.
Query Parameters
Was this page helpful?
